# Poco::Redis

# class RedisException

Library: Redis
Package: Redis
Header: Poco/Redis/Exception.h

## Inheritance

Direct Base Classes: Poco::Exception

All Base Classes: Poco::Exception, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### RedisException

RedisException(
int code = 0
);

### RedisException

RedisException(
const RedisException & exc
);

### RedisException

RedisException(
const std::string & msg,
int code = 0
);

### RedisException

RedisException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### RedisException

RedisException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~RedisException

~RedisException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Exception::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Exception::name()

### operator =

RedisException & operator = (
const RedisException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Exception::rethrow()